Subject: Re: bug#47266: guix pull: error (substituter)

From: Ludovic Courtès <[email-masked]>
Date: Fri, 19 Mar 2021 21:12:24 +0100

Hi Christoph,

Christoph Schumacher <[email-masked]>
skribis:

> I run guix on Debian stable, and guix asked me to report this error.
> I already tried to run the garbage collector and re-run guix pull,
> and that actually changed the error message to suggest --fallback.
> But that failed, too, and the resulting output is below.

[...]

> downloading from https://ci.guix.gnu.org/nar/lzip/8p3jgqza89ai4fl74vv9hf3nq3h2i29d-module-import-compiled ...
>  module-import-compiled                                                                                                               4.5MiB/s 00:00 | 1.9MiB transferred
>
> Backtrace:
> In guix/ui.scm:
>   2164:12 19 (run-guix-command _ . _)
> In guix/scripts/substitute.scm:
>     652:2 18 (guix-substitute . _)
> In unknown file:
>           17 (with-continuation-barrier #<procedure thunk ()>)
> In ice-9/boot-9.scm:
>   1736:10 16 (with-exception-handler _ _ #:unwind? _ # _)
> In unknown file:
>           15 (apply-smob/0 #<thunk 7fe226ea6880>)
> In ice-9/boot-9.scm:
>   1736:10 14 (with-exception-handler _ _ #:unwind? _ # _)
>   1736:10 13 (with-exception-handler _ _ #:unwind? _ # _)
>   1731:15 12 (with-exception-handler #<procedure 7fe22631dc90 at ic…> …)
> In guix/scripts/substitute.scm:
>    701:17 11 (_)
>     410:7 10 (process-substitution _ "/gnu/store/clvvp2j3l0hfk6nfm9…" …)
> In ice-9/boot-9.scm:
>   1736:10  9 (with-exception-handler _ _ #:unwind? _ # _)
> In guix/scripts/substitute.scm:
>     419:9  8 (_)

[...]

> Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.
> Backtrace:
>            1 (primitive-load "/gnu/store/lf5bkkwfi27w9bshgks9yh2k84x…")
> In guix/ui.scm:
>   2164:12  0 (run-guix-command _ . _)
>
> guix/ui.scm:2164:12: In procedure run-guix-command:
> Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.
> substitution of /gnu/store/clvvp2j3l0hfk6nfm9f1v7zqp45b8q8q-module-import-compiled failed

Could you indicate the version of the daemon that you’re running?  You
can do that presumably by running:

  guix describe -p /var/guix/profiles/per-user/root/current-guix
  /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version

I suspect the bug is the same as <https://issues.guix.gnu.org/47157>.

Thanks in advance!

Ludo’.